body.drawer-open {
    overflow: hidden;
}

body.drawer-open .nav-links {
    right: 0;
}

body.drawer-open .drawer-overlay {
    opacity: 1;
}

.text-btn {
    background: none;
    border: none;
    padding: 8px 4px;
    margin: 0;

    font-size: 16px;
    font-weight: 600;
    font-family: inherit;

    color: white;

    cursor: pointer;
    display: inline-flex;
    align-items: center;
    gap: 6px;

    transition:
        color 0.2s ease,
        transform 0.1s ease;
}

/* Hover */
.text-btn:hover {
    color: var(--primary-hover);
}

/* Active */
.text-btn.active {
    color: white;
    text-decoration: underline;
    opacity: 0.75;
    pointer-events: none;
    /* desabilita clique */
    cursor: default;
}

/* Focus acessível */
.text-btn:focus-visible {
    outline: 2px solid var(--primary-color);
    outline-offset: 4px;
    border-radius: 4px;
    border: none;

}

/* Disabled */
.text-btn:disabled {
    color: var(--text-disabled);
    cursor: not-allowed;
    pointer-events: none;
}

.navbar {
    display: flex;
    position: fixed;
    max-width: 1400px;
    width: 100%;
    justify-self: center;
    gap: 24px;
    z-index: 10;
    justify-content: space-between;

    padding: 0px 24px;
    /* backdrop-filter: blur(2px);
    -webkit-backdrop-filter: blur(2px); */
    /* Safari */
    /* background: rgba(255, 255, 255, 0.276); */
    transition: all 0.3s ease;
}

.nav-links {
    display: flex;
    position: relative;
    flex-direction: row;
    background-color: #ED5C21;
    gap: 24px;
    padding: 5px 24px 5px 24px;
    border-bottom-left-radius: 12px;
    border-bottom-right-radius: 12px;
    text-align: center;
}

.menu-toggle {
    display: none;
    background: none;
    border: none;
    font-size: 28px;
    color: white;
    cursor: pointer;
}

@media (max-width: 1100px) {
    .navbar {
        padding: 10px 24px;
        background-color: #ED5C21;
    }

    .navbar div {
        padding: 0px;
        background-color: transparent;

    }

    .navbar path {
        fill: white;
    }

}




@media (max-width: 800px) {

    .menu-toggle {
        display: block;
    }

    .nav-links {
        position: fixed;
        top: 0;
        right: -100%;
        height: 100vh;
        width: 260px;
        flex-direction: column;
        padding-top: 100px;
        background-color: #ED5C21;
        transition: right 0.3s ease;
        border-radius: 0;
    }

    .nav-links.open {
        right: 0;
    }

    .drawer-overlay {
        position: fixed;
        inset: 0;
        background: rgba(0, 0, 0, 0.4);
        opacity: 0;
        pointer-events: none;
        transition: opacity 0.3s ease;
        z-index: 9;
    }

    .drawer-overlay.show {
        opacity: 1;
        pointer-events: auto;
    }
}